import {Component, Prop, h} from '@stencil/core';

@Component({
  tag: 'hy-main',
  styleUrl: 'hy-main.scss',
  shadow: true
})
export class HyMain {
  @Prop() hasSidebar: boolean = false;

  render() {
    return (
      <div
        class={{
          'hy-main': true,
          'has-sidebar': this.hasSidebar
        }}
      >
        <slot />
      </div>
    );
  }
}
